> For the complete documentation index, see [llms.txt](https://docs.uct.ucserver.it/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uct.ucserver.it/custom-teams/configuration/uct-extensions.md).

# UCT Extensions

UCT integrates additional options into the configuration, allowing you to manage UCR roles more efficiently directly from the Custom Team Config.\
With this, you can (for example) set role priority, and UCT will spawn Custom Roles according to that priority (`First` = first, `Fifth` = last).

## Max Players

**Configuration element name:** `max_players`\
**Type:** `int32`

Specifies the maximum number of players that can spawn as this Custom Role.

## Priority

**Configuration element name:** `priority`\
**Type:**  [Enums](/syntax/enums.md#priority)

The priority of assigning Custom Role in the Spawn Wave (First -> Fifth).\
The lower the value, the higher the priority.

## Permission Required

**Configuration element name:** `permissions_required`\
**Type:**  `List<string>`&#x20;

A list specifying the required permissions a player must have to be able to spawn as this Custom Role. It first checks the group; if it isn't found, it checks the permissions.

## Drop Inventory On Death

**Configuration element name:** `drop_inventory_on_death` \
**Type:** `bool`

Determines whether items are dropped upon the death of this specific Custom Role.

## Is Godmode Enabled

**Configuration element name:** `is_godmode_enabled` \
**Type:** `bool`

Determines whether this Custom Role has God Mode enabled.

## Is Bypass Enabled

**Configuration element name:** `is_bypass_enabled` \
**Type:** `bool`

Determines whether this Custom Role has Bypass enabled.

## Is Noclip Enabled

**Configuration element name:** `is_noclip_enabled` \
**Type:** `bool`

Determines whether this Custom Role has Noclip enabled.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uct.ucserver.it/custom-teams/configuration/uct-extensions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
